
unit uVCDemoIIRecMixer;

interface

uses
  Windows, Forms, MsMixerControl, ComCtrls, Classes, Controls, ExtCtrls;

type
  TformRecMixer = class(TForm)
    pcMain: TPageControl;
    tsPlay: TTabSheet;
    tsRec: TTabSheet;
    sbMain: TStatusBar;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    procedure InsertMixer(aStyle: tMixerLineDest; aControl: tWinControl);
  public
    { Public declarations }
  end;

var
  formRecMixer: TformRecMixer;

implementation

{$R *.DFM}

procedure TformRecMixer.FormCreate(Sender: TObject);
begin
  InsertMixer(ldPlayback, tsPlay);
  InsertMixer(ldRecording, tsRec);
end;

procedure TformRecMixer.InsertMixer(aStyle: tMixerLineDest; aControl: tWinControl);
var
  lMixer: tvcMixer;
begin
  lMixer := tvcMixer.Create(Self);
  lMixer.LinesDestMode := aStyle;
  lMixer.Align := alClient;
  aControl.InsertControl(lMixer);
  lMixer.Open;
  sbMain.SimpleText := lMixer.Mixer[0].MixerCaps.szPname;
end;

end.

